ASIN(3)

NAME
asin - arc sine function

SYNOPSIS
#include <math.h>
double
asin(double x);
long double
asinl(long double x);
float
asinf(float x);

DESCRIPTION
The asin() function computes the principal value of the arc sine of x. The result is in the range [-/2, +/2].

SPECIAL VALUES
asin(±0) returns ±0.

asin(x) returns a NAN and raises the "invalid" floating-point exception for |x| > 1.

VECTOR OPERATIONS
If you need to apply the asin() function to SIMD vectors or arrays, using the following functions provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vasinf(vFloat x);
void vvasinf(float *y, const float *x, const int *n);
void vvasin(double *y, const double *x, const int *n);

SEE ALSO
acos(3), atan(3), atan2(3), cos(3), cosh(3), sin(3), sinh(3), tan(3), tanh(3), math(3)

STANDARDS
The asin() function conforms to ISO/IEC 9899:2011.